Устанавливаю программу Adobe Reader! Пишет ошибки! Помогите!

Устанавливал 9 версию написал что ему нужен компонент с 8 и не установился! Нашёл устаноку на 8 он пишет что установлена уже более новая! Оказывается для 9 нужен был файл который надо было скачать-скачал показал ему где он, он пишет что всё норм-продолжает установку и потом пишет-невозможно удалить старую версию-установка не будет завершена! Ка правильно удалить что б хоть какую-нибудь установить! Пробовал уже через множество программ!

STDUViewer - 1, 5 мб, никаких глюков и проблем. Еще и djvu смотрит.